package com.steerinfo.ems.emsprodplanround.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.ems.emsprodplanround.model.EmsProdplanRound;
import com.steerinfo.framework.service.pagehelper.PageList;

import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * EmsProdplanRound服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-07-06 03:43
 * 类描述
 * 修订历史：
 * 日期：2021-07-06
 * 作者：generator
 * 参考：
 * 描述：EmsProdplanRound服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IEmsProdplanRoundService extends IBaseService<EmsProdplanRound, String>{
    EmsProdplanRound getbeyondWeight(HashMap<String,Object> parmas);

    EmsProdplanRound getSumPlanWeight(List ids);

    //获取编号
    String getMaxidAsGm(EmsProdplanRound emsProdplanRound);
    //获取编号
    String getMaxidAsSC(EmsProdplanRound emsProdplanRound);
    //获取宽度*长度
    List<EmsProdplanRound> getbasespecbillet();
    //获取断面
    List<EmsProdplanRound> getiateralArea();
    //获取断面
    List<EmsProdplanRound> getdimension();
    //获取表面质量标准
    List<EmsProdplanRound>getsurfaceStandard();
    //化学成份执行标准
    List<EmsProdplanRound> getchemicalStandard();
    // 审核页面查询
    PageList<Map<String, Object>> getAuditDateForPage(HashMap<String, Object> parmas, Integer pageNum,
                                                       Integer pageSize);
    //审核
    Integer updateAuditState(EmsProdplanRound emsProdplanRound);
    //
    List<EmsProdplanRound> getRounds(EmsProdplanRound emsProdplanRound);
}